
QGIS Application - Bug report #2849

Strange behavior after layer editing

2010-06-29 11:43 PM - dr -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12909

Description

1. Open any vector layer;

2. Choose Pan Map tool and click right button of mouse in the View area. All works fine - nothing occurs;

3. Toggle editing and draw any features. Turn off editing and press 'Discard' in Stop Editing window;

4. Choose Pan Map tool and click right button of mouse in the View area. Cursor looks like layer is in editing mode (the first bug), message

window about Layer not editable appears. This window contains string: "Cannot edit the vector layer. To make it editable, go to the file item

of the layer, right click and check 'Allow Editing'." But I can't find 'Allow Editing' string anywhere, only 'Toggle editing' (the second bug). If

click Ok - right menu shows (the third bug).

r13845

Associated revisions

Revision 9326db57 - 2010-06-30 01:11 PM - Jürgen Fischer

fix #2849

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13851 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 10a4a67c - 2010-06-30 01:11 PM - Jürgen Fischer

fix #2849

git-svn-id: http://svn.osgeo.org/qgis/trunk@13851 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-06-30 01:59 AM - luca76 -

Confirmed here (Windows, commit:c4f611c7 (SVN r13819)).

#2 - 2010-06-30 04:12 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed
fixed in commit:10a4a67c (SVN r13852).
